|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAbstractExtensionManager Class Reference
[QtDesigner module]

The QAbstractExtensionManager class provides an interface for extension managers in Qt Designer. More...

     #include <QAbstractExtensionManager>

Inherited by QExtensionManager.

- List of all members, including inherited members

### Public Functions

- virtual ~QAbstractExtensionManager ()
- virtual QObject * extension ( QObject * object, const QString & iid ) const = 0
- virtual void registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) = 0
- virtual void unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) = 0

## Detailed Description

The QAbstractExtensionManager class provides an interface for extension managers in Qt Designer.

QAbstractExtensionManager is not intended to be instantiated directly; use the QExtensionManager instead.

In Qt Designer, extension are not created until they are required. For that reason, when implementing a custom extension, you must also create a QExtensionFactory, i.e a class that is able to make an instance of your extension, and register it using Qt Designer's extension manager.

When an extension is required, Qt Designer's extension manager will run through all its registered factories calling QExtensionFactory::createExtension() for each until the first one that is able to create the requested extension for the selected object, is found. This factory will then make an instance of the extension.

See also QExtensionManager and QExtensionFactory.

## Member Function Documentation

### QAbstractExtensionManager::~QAbstractExtensionManager () `[virtual]`

Destroys the extension manager.

### QObject * QAbstractExtensionManager::extension ( QObject * object, const QString & iid ) const `[pure virtual]`

Returns the extension, specified by iid, for the given object.

### void QAbstractExtensionManager::registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) `[pure virtual]`

Register the given extension factory with the extension specified by iid.

### void QAbstractExtensionManager::unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) `[pure virtual]`

Unregister the given factory with the extension specified by iid.